#ifndef RBF_H
#define RBF_H
/*
 * $Id: rbf.h,v 1.1 2013/01/14 21:47:39 jacadcaps Exp $
 */

enum {
	RBF_BROKENLINK,
	RBF_QUIT,
	RBF_OK
};

struct screeninfo {
	UWORD width;
	UWORD height;
	UBYTE pixel_type[16];
};

struct keyevent {
	UBYTE msgtype;
	UBYTE down;
	UWORD pad;
	ULONG key;
};


struct mouseevent {
	UBYTE msgtype;
	UBYTE butmask; /* bits 0-7 are buttons. 0 == up, 1 == down. LMB == 1, RMB == 2, MMB == 4 */
	WORD x;
	WORD y;
};

#endif /* !RBF_H */
